{% extends "base.html.twig" %}

{% block scripts %}
    <script type="text/javascript">
        var domain = "{{ domain }}";
    </script>
    {{ encore_entry_script_tags('whois') }}
{% endblock %}

{% block body %}
    <h1>{{ title }}</h1>

    <div class="wrapper">
        {{ form(form) }}
        {% if domain is not empty %}
            <h2>DNS Records</h2>
            <div id="ajaxDns">
             <img src="{{ asset('build/images/preloader.gif') }}" width='50px' />
            </div>

            <h3>Host:</h3>
        <div id="ajaxHost">
            <img src="{{ asset('build/images/preloader.gif') }}" width='50px' />
        </div>

        <h3>Whois:</h3>
        <div id="ajaxWhois">
            <img src="{{ asset('build/images/preloader.gif') }}" width='50px' />
        </div>
        {% endif %}
    </div>

{% endblock %}